Page MenuHomePhabricator

[Story] Migrate constraints from property talk pages to statements on properties
Closed, ResolvedPublic

Description

Currently, every user can define constraints on property talk pages in a certain syntax. It would be way better to have the constraints defines as statements on properties.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterUpdate special page explanation for constraint statements
mediawiki/extensions/WikibaseQualityConstraints : masterAdd some support for somevalue and novalue

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
InvalidNone
InvalidTamslo
InvalidNone
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
Resolvedhoo
ResolvedLucas_Werkmeister_WMDE

Event Timeline

Jonaskeutel raised the priority of this task from to High.
Jonaskeutel updated the task description. (Show Details)
Jonaskeutel moved this task from incoming to DOING on the Wikibase-Quality-Constraints board.
Jonaskeutel added subscribers: Aklapper, Jonaskeutel.

Can you please indicate the status of this? You already had some scripts? Can you link them please?

Tamslo set Security to None.

We are working together with Amir (Ladsgroup) to get this done.

On this Github repo, you can see the current state. Their is a blocking issue with the PyWikiBot, but there is already a patch for T103303.

Lydia_Pintscher renamed this task from Migrate constraints from property talk pages to statements on properties to [Story] Migrate constraints from property talk pages to statements on properties.Aug 17 2015, 4:03 PM
Lydia_Pintscher removed Andreasburmeister as the assignee of this task.Nov 10 2015, 4:18 PM
Pasleim moved this task from DOING to DONE on the Wikibase-Quality board.Nov 14 2016, 4:19 AM
Pasleim moved this task from DONE to DOING on the Wikibase-Quality board.Nov 14 2016, 4:23 AM
Lucas_Werkmeister_WMDE claimed this task.EditedJun 2 2017, 4:36 PM

With https://gerrit.wikimedia.org/r/#/c/349894 and https://gerrit.wikimedia.org/r/#/c/352864, all constraint statements are stored in the constraint table. What’s left to do is to also read them from there.

Here’s a TODO list of all the constraint types that currently exist in templates (sorted by number of constraints, descending), along with tasks/changes for reading them from constraint statements:

I think we’re pretty well on track for reading all constraint types from statements; once that’s deployed, @Ivan_A_Krestinin can do the actual migration.

I confirm, code for the migration is ready to run. I am waiting for wbcheckconstraints API ready status.

Change 356825 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add some support for somevalue and novalue

https://gerrit.wikimedia.org/r/356825

Change 356825 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add some support for somevalue and novalue

https://gerrit.wikimedia.org/r/356825

Change 364689 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Update special page explanation for constraint statements

https://gerrit.wikimedia.org/r/364689

Change 364689 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Update special page explanation for constraint statements

https://gerrit.wikimedia.org/r/364689

Lucas_Werkmeister_WMDE closed this task as Resolved.Jul 21 2017, 10:53 AM

I think we can close this now, constraint statements are enabled on Wikidata and were also imported from the existing statements.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 2 2017, 6:00 PM